Skip to main content
GET
/
v1
/
knowledge-bases
List Kbs
curl --request GET \
  --url https://api-tokyo.oneinbox.ai/v1/knowledge-bases \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-tokyo.oneinbox.ai/v1/knowledge-bases"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-tokyo.oneinbox.ai/v1/knowledge-bases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-tokyo.oneinbox.ai/v1/knowledge-bases"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "items": [
    {
      "kb_id": "<string>",
      "name": "<string>",
      "chunk_size": 123,
      "multilingual": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "total_tokens": 0,
      "mode": "stuff",
      "sources": [
        {
          "source_id": "<string>",
          "kb_id": "<string>",
          "type": "<string>",
          "source": "<string>",
          "chunk_count": 123,
          "status": "<string>",
          "error_message": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "file_name": "<string>",
          "mime_type": "<string>",
          "file_size": 123,
          "token_count": 0
        }
      ]
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
KnowledgeBaseResponse · object[]
required
total
integer
required
limit
integer
required
offset
integer
required